edu.northwestern.at.morphadorner.corpuslinguistics.inflector

## Enum Person

- java.lang.Object
- - java.lang.Enum<Person>
  - - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.Person

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Person>

      public enum Person
      extends java.lang.Enum<Person>

  Grammatical persons.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST_PERSON_PLURAL`
    `FIRST_PERSON_SINGULAR`
    `SECOND_PERSON_PLURAL`
    `SECOND_PERSON_SINGULAR`
    `THIRD_PERSON_PLURAL`
    `THIRD_PERSON_SINGULAR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `toStringValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Person` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Person[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST_PERSON_SINGULAR

          public static final Person FIRST_PERSON_SINGULAR

    - #### SECOND_PERSON_SINGULAR

          public static final Person SECOND_PERSON_SINGULAR

    - #### THIRD_PERSON_SINGULAR

          public static final Person THIRD_PERSON_SINGULAR

    - #### FIRST_PERSON_PLURAL

          public static final Person FIRST_PERSON_PLURAL

    - #### SECOND_PERSON_PLURAL

          public static final Person SECOND_PERSON_PLURAL

    - #### THIRD_PERSON_PLURAL

          public static final Person THIRD_PERSON_PLURAL

  - ### Field Detail

    - #### toStringValue

          protected final java.lang.String toStringValue

  - ### Method Detail

    - #### values

          public static Person[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Person c : Person.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Person valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Person>`